//
//  Command.m
//  VH7PC_Controller
//
//  Created by NYA on Mon Jul 14 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import "Command.h"


@implementation Command

+(id)commandWithCommand:(VH7PC_cmd)cmd{
    return [self commandWithCommand:cmd andValue:0];
}

+(id)commandWithCommand:(VH7PC_cmd)cmd andValue:(int)val{
    return [[[self alloc] initWithCommand:cmd andValue:val] autorelease];
}

-(id)initWithCommand:(VH7PC_cmd)cmd{
    return [self initWithCommand:cmd andValue:0];
}

-(id)initWithCommand:(VH7PC_cmd)cmd andValue:(int)val{
    [super init];
    _command=cmd;
    _reqVal=val;
    return self;
}

-(VH7PC_cmd)command{
    return _command;
}

-(int)reqVal{
    return _reqVal;
}

@end
